Subject: Re: bug#24920: 24.5; Error on customize-update-all

From: Noam Postavsky <[email-masked]>
Date: Thu, 10 Nov 2016 14:29:00 -0500

On Thu, Nov 10, 2016 at 11:52 AM, Frank Roland <[email-masked]> wrote:
> I was not realy doing anything. After some tome a hook got triggered and
> caused an error, see backtrace:
> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>   file-name-directory(nil)
>   (expand-file-name "../var/auctex" (file-name-directory load-file-name))
>   eval((expand-file-name "../var/auctex" (file-name-directory load-file-name)))
>   #[(symbol) "had to delete that binary data strings..." [symbol cval
> customized-value saved-value standard-value default-boundp eval
> default-value put custom-quote] 7](TeX-auto-global)
>   mapatoms(#[(symbol) " Again, binary deleted"  [symbol cval
> customized-value saved-value standard-value default-boundp eval
> default-value put custom-quote] 7])
>   customize-update-all-vars()
>   customize-update-all()
>   apply(customize-update-all nil)
>   byte-code("r\301 \302H \303H\"\210)\301\207" [timer apply 5 6] 4)
>   timer-event-handler([t 0 60 0 t customize-update-all nil idle 0])
>
>

I guess this is either a bug in cus-edit+ (wrongly assuming any of
customized-value, saved-value, standard-value can be `eval'ed in any
buffer), or it's a bug in Auctex (for putting a customized-value,
saved-value, or standard-value that can't be `eval'ed in any buffer).

Does M-x customize-option TeX-auto-global RET give a similar error?